org.apache.hc.core5.http2.ssl

## Class H2ServerTlsStrategy

- java.lang.Object
- - org.apache.hc.core5.http2.ssl.H2ServerTlsStrategy

- All Implemented Interfaces:
    TlsStrategy

      public class H2ServerTlsStrategy
      extends Object
      implements TlsStrategy

  Basic side-side implementation of `TlsStrategy` that upgrades to TLS for endpoints with the specified local ports.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2ServerTlsStrategy()`
    `H2ServerTlsStrategy(int... securePorts)` Deprecated. Use `H2ServerTlsStrategy()`
    `H2ServerTlsStrategy(SSLContext sslContext)`
    `H2ServerTlsStrategy(SSLContext sslContext, SecurePortStrategy securePortStrategy)` Deprecated. Use `H2ServerTlsStrategy(SSLContext)`
    `H2ServerTlsStrategy(SSLContext sslContext, SecurePortStrategy securePortStrategy, SSLBufferMode sslBufferMode, SSLSessionInitializer initializer, SSLSessionVerifier verifier)` Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLBufferMode, SSLSessionInitializer, SSLSessionVerifier)`
    `H2ServerTlsStrategy(SSLContext sslContext, SecurePortStrategy securePortStrategy, SSLSessionInitializer initializer, SSLSessionVerifier verifier)` Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLSessionInitializer, SSLSessionVerifier)`
    `H2ServerTlsStrategy(SSLContext sslContext, SecurePortStrategy securePortStrategy, SSLSessionVerifier verifier)` Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLSessionVerifier)`
    `H2ServerTlsStrategy(SSLContext sslContext, SSLBufferMode sslBufferMode, SSLSessionInitializer initializer, SSLSessionVerifier verifier)`
    `H2ServerTlsStrategy(SSLContext sslContext, SSLSessionInitializer initializer, SSLSessionVerifier verifier)`
    `H2ServerTlsStrategy(SSLContext sslContext, SSLSessionVerifier verifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `upgrade(TransportSecurityLayer tlsSession, HttpHost host, SocketAddress localAddress, SocketAddress remoteAddress, Object attachment, Timeout handshakeTimeout)` Deprecated. use `upgrade(TransportSecurityLayer, NamedEndpoint, Object, Timeout, FutureCallback)`
    `void` | `upgrade(TransportSecurityLayer tlsSession, NamedEndpoint endpoint, Object attachment, Timeout handshakeTimeout, FutureCallback<TransportSecurityLayer> callback)` Secures current session layer with TLS.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2ServerTlsStrategy

          @Deprecated
          public H2ServerTlsStrategy(SSLContext sslContext,
                                                 SecurePortStrategy securePortStrategy,
                                                 SSLBufferMode sslBufferMode,
                                                 SSLSessionInitializer initializer,
                                                 SSLSessionVerifier verifier)

      Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLBufferMode, SSLSessionInitializer, SSLSessionVerifier)`

    - #### H2ServerTlsStrategy

          @Deprecated
          public H2ServerTlsStrategy(SSLContext sslContext,
                                                 SecurePortStrategy securePortStrategy,
                                                 SSLSessionInitializer initializer,
                                                 SSLSessionVerifier verifier)

      Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLSessionInitializer, SSLSessionVerifier)`

    - #### H2ServerTlsStrategy

          @Deprecated
          public H2ServerTlsStrategy(SSLContext sslContext,
                                                 SecurePortStrategy securePortStrategy,
                                                 SSLSessionVerifier verifier)

      Deprecated. Use `H2ServerTlsStrategy(SSLContext, SSLSessionVerifier)`

    - #### H2ServerTlsStrategy

          @Deprecated
          public H2ServerTlsStrategy(SSLContext sslContext,
                                                 SecurePortStrategy securePortStrategy)

      Deprecated. Use `H2ServerTlsStrategy(SSLContext)`

    - #### H2ServerTlsStrategy

          @Deprecated
          public H2ServerTlsStrategy(int... securePorts)

      Deprecated. Use `H2ServerTlsStrategy()`

    - #### H2ServerTlsStrategy

          public H2ServerTlsStrategy(SSLContext sslContext,
                                     SSLBufferMode sslBufferMode,
                                     SSLSessionInitializer initializer,
                                     SSLSessionVerifier verifier)

    - #### H2ServerTlsStrategy

          public H2ServerTlsStrategy(SSLContext sslContext,
                                     SSLSessionInitializer initializer,
                                     SSLSessionVerifier verifier)

    - #### H2ServerTlsStrategy

          public H2ServerTlsStrategy(SSLContext sslContext,
                                     SSLSessionVerifier verifier)

    - #### H2ServerTlsStrategy

          public H2ServerTlsStrategy(SSLContext sslContext)

    - #### H2ServerTlsStrategy

          public H2ServerTlsStrategy()

  - ### Method Detail

    - #### upgrade

          public void upgrade(TransportSecurityLayer tlsSession,
                              NamedEndpoint endpoint,
                              Object attachment,
                              Timeout handshakeTimeout,
                              FutureCallback<TransportSecurityLayer> callback)

      Description copied from interface: `TlsStrategy`
      Secures current session layer with TLS.
      Specified by:
        `upgrade` in interface `TlsStrategy`
      Parameters:
        `tlsSession` - the session layer
        `endpoint` - the name of the opposite endpoint when applicable or `null` otherwise.
        `attachment` - arbitrary object passes to the TLS session initialization code.
        `handshakeTimeout` - the timeout to use while performing the TLS handshake; may be `null`.
        `callback` - Operation result callback.

    - #### upgrade

          @Deprecated
          public boolean upgrade(TransportSecurityLayer tlsSession,
                                             HttpHost host,
                                             SocketAddress localAddress,
                                             SocketAddress remoteAddress,
                                             Object attachment,
                                             Timeout handshakeTimeout)

      Deprecated. use `upgrade(TransportSecurityLayer, NamedEndpoint, Object, Timeout, FutureCallback)`
      Description copied from interface: `TlsStrategy`
      Secures current session layer with TLS.
      Specified by:
        `upgrade` in interface `TlsStrategy`
      Parameters:
        `tlsSession` - the session layer
        `host` - the name of the opposite endpoint when given or `null` otherwise.
        `localAddress` - the address of the local endpoint.
        `remoteAddress` - the address of the remote endpoint.
        `attachment` - arbitrary object passes to the TLS session initialization code.
        `handshakeTimeout` - the timeout to use while performing the TLS handshake; may be `null`.
      Returns:
        `true` if the session has been upgraded, `false` otherwise.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.